Set runner roles
- PUT /platform/infrastructure/runners/{runner_id}/roles
Set runner roles.
Path Parameters
-
runner_idstringrequired -
The identifier for the runner
Query Parameters
-
blessboolean Assigns the runner to the roles.
Responses
The roles for the {runner_id} specified runner are assigned.
There was an error while assigning the roles for the {runner_id} specified runner. Try your request again. (code: runners.runner_set_roles_failed)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response
Unable to find the {runner_id} specified runner. Edit your request, then try again. (code: runners.runner_not_found)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response